import sys
import importlib
import traceback

from os import listdir, path


scripts_folder = 'mod_sa/py_scripts'
sys.path.append(scripts_folder)

def print_to_log(text):
    f = open("mod_sa/logs/python_log.txt", "a")
    f.write(text)
    f.close()

for module in [name for name in listdir(scripts_folder) if path.isdir(path.join(scripts_folder, name))]:
    module_path = path.join(scripts_folder, module)
    if module.startswith('.') or module.startswith('__'):
        continue

    try:
        importlib.import_module(module)
        print(f'Module {module} loaded.')
    except (ImportError, TypeError) as error:
        print(traceback.format_exc())
        print_to_log(traceback.format_exc())
    except:
        print_to_log(traceback.format_exc())
