import modsa_basic.chat
import modsa_basic.checkers
import modsa_basic.stats
import modsa_basic.traces
import modsa_basic.utils
from modsa_lib.core.sobeit_api import ScriptAPI


def render_settings(rendering: bool):
    modsa_basic.chat.render_chat_config(rendering)
    modsa_basic.checkers.render_checkers_config(rendering)
    modsa_basic.traces.tracer_manager.render_traces_config(rendering)
    modsa_basic.traces.tracer_aim_manager.render_traces_config(rendering)


ScriptAPI.register(
    {
        "name": "[Base] Компоненты",
        "description": "Данный модуль содержит:\n"
        "- Чатид\n"
        "- Чекеры:\n"
        "\t- Подключившихся / Отключившихся игроков\n"
        "\t- Администрации (/addadm, /deladm)\n"
        "\t- Игроков (/addplayer, /delplayer)\n"
        "\t- Временный (На время игровой сессии)\n"
        "\t  (/addtemp, /deltemp)\n"
        "- вспомогательные элементы:\n"
        "\tлев. alt + 1 - Включить / Выключить курсор\n"
        "- Трейсеры",
        "author": "Terry_Jones",
        "version": "1.0",
        "render_settings": render_settings,
    }
)
