from functools import wraps

from modsa_lib.core.sobeit_api import EventAPI


class Event:
    @staticmethod
    def register(event: int):
        def inner(function):
            EventAPI.register(event, function)

            @wraps(function)
            def wrapper(*args, **kwargs):
                function(*args, **kwargs)

            return wrapper

        return inner

    @staticmethod
    def register_rpc(rpc_id: int):
        def inner(function):
            EventAPI.register_rpc(rpc_id, function)

            @wraps(function)
            def wrapper(*args, **kwargs):
                function(*args, **kwargs)

            return wrapper

        return inner
