from modsa_lib.core.sobeit_api import ScriptAPI

import srp_basic.common
import srp_basic.cip
import srp_basic.ghere
import srp_basic.mp_events
import srp_basic.squad
import srp_basic.recon
import srp_basic.report
import srp_basic.command_alias


def render_info():
    common.srp_commands.render_commands_doc()
    cip.cip_instance.render_commands_doc()
    ghere.ghere_instance.render_commands_doc()
    mp_events.shark_instance.render_commands_doc()


def render_settings(rendering: bool):
    cip.cip_instance.render_settings(rendering)
    squad.squad_checker.render_settings(rendering)
    common.srp_commands.render_settings(rendering)
    recon.srp_recon.render_settings(rendering)
    report.report_recon.render_settings(rendering)
    report.report_detach.render_settings(rendering)


ScriptAPI.register(
    {
        "name": "[SRP] Basic",
        "author": "Terry_Jones",
        "version": "1.0",
        "render_info": render_info,
        "render_settings": render_settings,
    }
)
