from modsa_lib.consts.raknet import RPC_Chat
from modsa_lib.core import Chat
from modsa_lib.core.handlers import HandlersManagementMixin, RPCHandler
from modsa_lib.core.bitstream import parse_rpc


class CommandAliases(HandlersManagementMixin):
    symbols = dict(zip('йцукенгшщзфывапролдячсмить', 'qwertyuiopasdfghjklzxcvbnm'))

    def __init__(self):
        self.handlers = [RPCHandler(RPC_Chat, self.callback_chat)]
        self.start()

    def callback_chat(self, bs_data, rpc_id):
        data = parse_rpc(bs_data, rpc_id)
        if not data['text']:
            return
        cmd = data['text'].split()[0]
        if len(cmd) > 1 and cmd[0] == '.':
            cmd_data = data['text'].split()
            new_cmd = '/' + ''.join(map(lambda c: self.symbols.get(c, c), cmd[1:]))
            args = cmd_data[1:]
            full_cmd = ' '.join([new_cmd] + args) if args else new_cmd
            Chat.send_text(full_cmd, use_raknet=False)
            return False


command_aliases = CommandAliases()
